// componente
import { Component, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA, MatDialog } from '@angular/material/dialog';
import { ToastrService } from 'ngx-toastr';
import { CreatePxeBootFileComponent } from '../../../ogboot/pxe-boot-files/create-pxeBootFile/create-pxe-boot-file/create-pxe-boot-file.component';
import { HttpClient } from '@angular/common/http';
import { CommandDetailComponent } from '../../../commands/main-commands/detail-command/command-detail.component';
import { RouterLink } from '@angular/router';
@Component({
  selector: 'app-acctions-modal',
  templateUrl: './acctions-modal.component.html',
  styleUrls: ['./acctions-modal.component.css']
})
export class AcctionsModalComponent {
  baseUrl: string = import.meta.env.NG_APP_BASE_API_URL;
  selectedElements: any;
  displayedColumns: string[] = ['name', 'createdBy', 'createdAt'];

  arrayCommands: any[] = [
    {name: 'Enceder', slug: 'power-on'},
    {name: 'Apagar', slug: 'power-off'},
    {name: 'Reiniciar', slug: 'reboot'},
    {name: 'Iniciar Sesión', slug: 'login'},
    {name: 'Inventario Software', slug: 'software-inventory'},
    {name: 'Inventario Hardware', slug: 'hardware-inventory'},
    {name: 'Ejecutar script', slug: 'run-script'},
  ];

  private apiUrl = `${this.baseUrl}/commands?page=1&itemsPerPage=40`;

  ngOnInit(): void {
  }

  constructor(
    private toastService: ToastrService,
    public dialog: MatDialog,
    private http: HttpClient,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {
    this.selectedElements = data?.selectedElements || [];
  }

  onSend(): void {
    this.toastService.success('Acción enviada a: ' + this.selectedElements);
  }

  onPxeBootFile(): void {
    const dialog = this.dialog.open(CreatePxeBootFileComponent, { data: this.selectedElements, width: '400px' });
    dialog.afterClosed().subscribe(() => {
      this.dialog.closeAll();
    });
  }

  onCommandClick(command: any): void {

  }

}
